srcu_notifier_chain_unregister
Prev | Kernel utility functions | Next

## Name

srcu_notifier_chain_unregister — Remove notifier from an SRCU notifier chain

## Synopsis

`int srcu_notifier_chain_unregister (` | struct srcu_notifier_head * | nh,
| struct notifier_block * | n`)`;

## Arguments

`nh`

  Pointer to head of the SRCU notifier chain

`n`

  Entry to remove from notifier chain

## Description

Removes a notifier from an SRCU notifier chain. Must be called from process context.

Returns zero on success or `-ENOENT` on failure.

Prev | Up | Next
srcu_notifier_chain_register | Home | __srcu_notifier_call_chain